/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.common.saas.cache;

import net.northking.cctp.common.saas.Tenant;

import java.util.Map;

/**
 * SaaS模式的租户缓存
 *
 * @author : xiusong.xie
 * @version : 1.0
 */
public interface SaaSTenantCache
{
  /**
   * 根据租户ID获取缓存中的租户
   *
   * @param tenantId 租户ID
   * @return 租户
   */
  Tenant findTenantById(String tenantId);

  /**
   * 缓存租户信息
   *
   * @param map 租户集合
   */
  void save(Map<String, Tenant> map);

  /**
   * 缓存租户
   * @param tenant 租户
   */
  void save(Tenant tenant);

  /**
   * 移除缓存
   * @param uuid 租户ID
   */
  void remove(String uuid);


}
